Bug 443595 - network connection drops, unable to re-connect
network connection drops, unable to re-connect
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
high Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 09:45 EDT by Bryan Che
Modified: 2008-08-23 23:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 23:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2008-04-22 09:45:04 EDT
Description of problem:

I am running F8 on a Thinkpad T60 with iwl3945.  When using a wireless network
(either WEP or WPA), I will sometimes, seemingly randomly, lose my network
connection. Then, NetworkManager will try to re-connect, fail, and prompt me for
the WEP/WPA key that it already should have, since it was previously logged in.

When I enter the WEP/WPA key, it fails to re-connect to the network and keeps
prompting me for the key repeatedly.

This error happens at random, and my computer can go for hours before I see this
happen.  If I reboot, I can re-connect to the network fine again.  I also don't
experience this error with RHEL 5.


Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3235.fc8
iwl3945-firmware-2.14.1.5-2
kernel-2.6.24.4-64.fc8

How reproducible:

Not that easy to reproduce

Steps to Reproduce:
1. Connect to a WEP/WPA protected wireless network
2. Use the network/system and wait several hours (can be many hours)
3.
  
Actual results:

System looses network connection and can't reconnect

Expected results:

System doesn't lose connection and can reconnect if it does lose the connection

Additional info:
Comment 1 Rui Matos 2008-05-06 10:31:45 EDT
You should provide more info like /var/log/messages and /var/log/wpa_supplicant
from when such disconnections happen.
Comment 2 Balaji G 2008-05-10 12:16:59 EDT
I use an Intel ABG 3945 Wireless Card which uses the iwl3945 driver and for me
it works perfectly.The following are the versions i use

NetworkManager-0.7.0-0.6.7.svn3370.fc8
iwl3945-firmware-2.14.1.5-2
kernel-2.6.24.5-85.fc8

However i guess you could do this try disabling ipv6 in firefox if you are not
able to view the webpages alone and try using peer-dns in the resolv.conf and
have you enabled the eth0 and wlan0 at startup itself if yes you could try
disabling the device during start up and see. However you could give us more
info on the bug which would enable us to isolate the problem.
Comment 3 Balaji G 2008-05-10 12:18:10 EDT
This bug needs more info and hence changing the status to NeedInfo.

Cheers
Balaji
Comment 4 David Nalley 2008-08-23 23:09:44 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.